<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function regiao_getAll() {
  global $conexao;
  $sql = 'select * from erpc_regiao where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function regiao_getById($id) {
  global $conexao;
  //$sql = 'select * from erpc_regiao where id=? and st_ativo=1';
  $sql = 'select 	 r.id
            		,r.ds_regiao
            		,r.id_municipio
                    ,m.ds_municipio
                    ,r.ds_bairro
                    ,r.ds_endereco
            	from erpc_regiao r
            		inner join erpc_municipios m
            			on r.id_municipio = m.id
            where r.id=? and r.st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function regiao_insert($regiao, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_regiao ';
  $campos = array('ds_regiao', 'id_municipio', 'ds_bairro', 'ds_endereco', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $values[] = $regiao[$campo];
  }
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function regiao_update($regiao) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_regiao set ';
  $campos = array('ds_regiao', 'id_municipio', 'ds_bairro', 'ds_endereco');
  $values = array();
  foreach($campos as $campo) {
    $sql .= $campo . '=?,';
    $values[] = $regiao[$campo];
  }
  $sql = trim($sql, ',');
  $sql .= ' where id = ?';
  $values[] = $regiao['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function regiao_delete($regiao) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_regiao set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $regiao['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function regiao_create() {
  $regiao = array(
    'id' => '',
    'ds_regiao' => '',
    'id_municipio' => '',
    'ds_bairro' => '',
    'ds_endereco' => '',
    'st_ativo' => '1',
  );
  return $regiao;
}
